<?php
include 'inc/head.php';
$sys->head('Ники нарушающие правила');

if (isset($_GET['update']))
{
set_time_limit(3600); //что бы сервер не сдох наглухо
mysql_query("DELETE FROM `guard_users_nicks`"); //чистим старые результаты
$q=mysql_query("SELECT `id`,`nick` FROM `user`");
while($post=mysql_fetch_assoc($q)) //ищем новых припадков
	{
	if ($post['nick']!=my_esc($post['nick']) || !preg_match("#^[a-zа-яё][a-zа-яё0-9\-\_\ ]{2,31}$#ui", $post['nick']) || (preg_match("#[a-z]+#ui", $post['nick']) && preg_match("#[а-яё]+#ui", $post['nick'])) || preg_match("#(^\ )|(\ $)#ui", $post['nick']) || preg_match('#[БВГДЖЗКЛМНПРСТФХЦЧШЩBCDFGHJKLMNPQRSTVXZ]{4,}#ui', $post['nick']) || preg_match('#([[:alpha:]]+)\1{2,}#ui', $post['nick']))
		mysql_query("INSERT INTO `guard_users_nicks` (`user`) VALUES ('$post[id]')");
	}
	$sys->msg('Список потенциальных нарушителей обновлен');
}

echo "<a href='?update'>".$sys->icon('update')." Обновить данные</a>";

$sql->cycle('guard_users_nicks');
while($post=mysql_fetch_assoc($while))
{
echo "<div class='post'>";
echo $usr->info($post['user']);
echo '</div>';
}
echo $sys->icon('no').' При большом количестве пользователей, обновление данных займет много серверных ресурсов';
include 'inc/foot.php';
?>